%define name wmnet
%define version 1.05
%define release 5mdk

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: Applet that monitors the network
Summary(fr): Applette qui surveille le rseau

Name: %{name}
Version: %{version}
Release: %{release}
Group: Graphical desktop/Window Maker
Copyright: GPL
Url: http://isufug.ee.iastate.edu/~joff/wmnet.html
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}.wmconfig
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Icon: %{name}.gif
Exclusiveos: Linux
Exclusivearch: i386 i486 i586 i686 k6 k7 sparc ppc

%changelog
* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.05-5mdk
- New group

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 1.05-4mdk
- Added PPC support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.05-3mdk
- Don't build for alpha.

* Mon Nov 08 1999 John Buswell <johnb@mandrakesoft.com>
- Fixed Permissions
- Build Release

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again.

* Fri Apr 30 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake Compliant.
- Group changed.


%description 
Wmnet uses ip accounting in the Linux kernel
to monitor your network.

%description -l fr
Wmnet utilise "l'ip accounting" dans le kernel
de Linux pour surveiller le rseau.

%prep

%setup

%build
xmkmf
make CFLAGS="$RPM_OPT_FLAGS"

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin $RPM_BUILD_ROOT/etc/X11/wmconfig $RPM_BUILD_ROOT/usr/X11R6/man/man1
strip %{builddir}/wmnet
cp %{builddir}/wmnet $RPM_BUILD_ROOT/usr/X11R6/bin
cp %{builddir}/wmnet.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/wmnet.1x
cp $RPM_SOURCE_DIR/%{name}.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/%{name}

find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;

%files
%attr(-,root,root) %doc README Changelog
%attr(644,root,root) %config(missingok) /etc/X11/wmconfig/wmnet
%attr(755,root,root) /usr/X11R6/bin/wmnet
%attr(644,root,root) /usr/X11R6/man/man1/wmnet.1x.bz2

%clean
rm -r $RPM_BUILD_ROOT
rm -r %{builddir}

